#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/time.h>

#include <ni488.h>
#define max_gpib_addr   30
#define nspline         100
#define nchannels       600
#define stringl  250
#define burstbuffer     128000
#define longbuffer      4096000
#define updateinterval  300
int iberr;
int debug;
int verbose_flag;
int temp_flag;


int check_card_ch(int,int);
int now();
double readchannel();
double readchannel2700 ();
void burst2700_init();
int burst2700_result();
void initgpib();
void initchannels();
void inittime();
float getdt();
void chomp(char*);
int strcmp_nolength(char*,char*);
void set_debug(int);

typedef struct channelrecord
{
  char ident[stringl], measuretype[stringl];
  double xspline[nspline], yspline[nspline], y2spline[nspline];
  int ndata;
}
channelrecord;

int scanner[20], voltmeter, voltmeter2700[30], bd;
channelrecord channeldata[30][nchannels+1];

int  gpibid[32];

typedef struct burstdata
{
  double time;
  double raw;
  double value;
}
burstdata;

burstdata burst[burstbuffer];

